Bug 660603 - I see onion peeling in submarine in your future
Summary: I see onion peeling in submarine in your future
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: liveusb-creator
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-07 09:56 UTC by Matěj Cepl
Modified: 2018-04-11 15:26 UTC (History)
3 users (show)

Fixed In Version: liveusb-creator-3.12.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-10 07:11:32 UTC


Attachments (Terms of Use)

Description Matěj Cepl 2010-12-07 09:56:04 UTC
Description of problem:

When inserting USB drive named Láhev I get this traceback.

jakoubek:~ # LANG=C liveusb-creator 
Traceback (most recent call last):
  File "/usr/sbin/liveusb-creator", line 89, in <module>
    main()
  File "/usr/sbin/liveusb-creator", line 84, in main
    LiveUSBApp(opts, sys.argv)
  File "/usr/lib/python2.7/site-packages/liveusb/gui.py", line 55, in __init__
    self.mywindow = LiveUSBDialog(opts, args)
  File "/usr/lib/python2.7/site-packages/liveusb/gui.py", line 259, in __init__
    self.populate_devices()
  File "/usr/lib/python2.7/site-packages/liveusb/gui.py", line 288, in populate_devices
    self.live.detect_removable_drives()
  File "/usr/lib/python2.7/site-packages/liveusb/creator.py", line 438, in detect_removable_drives
    self._add_device(child, parent=dev)
  File "/usr/lib/python2.7/site-packages/liveusb/creator.py", line 461, in _add_device
    mount = str(dev.GetProperty('volume.mount_point'))
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe1' in position 8: ordinal not in range(128)
jakoubek:~ # 

(about that onion peeling http://joelonsoftware.com/articles/Unicode.html)

Version-Release number of selected component (if applicable):


How reproducible:
liveusb-creator-3.9.2-2.fc14.noarch

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Luke Macken 2013-03-01 21:45:33 UTC
This issue was fixed in the last version of the liveusb-creator: https://admin.fedoraproject.org/updates/liveusb-creator-3.11.7-1.el6

Comment 2 Fedora Update System 2013-10-17 22:59:12 UTC
liveusb-creator-3.12.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/liveusb-creator-3.12.0-1.fc19

Comment 3 Fedora Update System 2013-10-17 23:00:00 UTC
liveusb-creator-3.12.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/liveusb-creator-3.12.0-1.fc18

Comment 4 Fedora Update System 2013-10-17 23:01:00 UTC
liveusb-creator-3.12.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/liveusb-creator-3.12.0-1.fc20

Comment 5 Fedora Update System 2013-10-19 00:10:37 UTC
Package liveusb-creator-3.12.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing liveusb-creator-3.12.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19384/liveusb-creator-3.12.0-1.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-11-10 07:11:32 UTC
liveusb-creator-3.12.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-12-12 02:56:42 UTC
liveusb-creator-3.12.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-12-12 02:57:55 UTC
liveusb-creator-3.12.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.